can I buy new a new iMac (February 2015) with 10.7.5 installed instead of Yosemite?

I need to set up a new ProPresenter v5 workstation. Our current station has been running flawlessly on a 2013 iMac with 10.7.5, so I don't want to gamble on Yosemite so early, and I'm not geeky enough to feel confident installing a downgrade myself.

Back To Product

Follow this Question

2 Answers from the Community

  • Answer

    I had a similar situation where I purchased a refurbished 2011 iMac from Apple (with OS 10.8 Mountain Lion pre-installed), but needed to have OS 10.6 (Snow Leopard) in order to use scanner software that is not compatible with any Mac OS after Snow Leopard. Snow Leopard would NOT INSTALL on the refurbished iMac . . . but I discovered that it runs on that iMac. I use OS 10.8 for most of my work, but when I need to use the scanner I startup from OS 10.6.

    Here is what I did to get Snow Leopard to run (you will need to adapt for Lion) . . .

    1) On an older Mac, create a small partition 16GB in size that is formatted as Mac OS Extended (Journaled).

    2) Then install Snow Leopard to that partition.

    3) Make a disk image (DMG) of the partition, transfer the DMG file to the new iMac and restore to a new blank partition on the new iMac.

    I ended up with an iMac that can start up from either the Mountain Lion partition or the Snow Leopard partition. To "permanently" start up from one or the other, use Start Up Disk in System Preferences. To change which partition to start up from when you turn the iMac on, press and hold the option key when the Mac chimes and then select the partition.

    One method to find out if Lion will run on a new iMac is to use an external drive that already has Lion installed, connect the drive to the new iMac and see if you can start up from the partition on the external drive that has Lion installed. Perhaps RESTORE the partition from your 2013 iMac to an external hard drive, then connect the external drive to a new iMac at an Apple Store and see if both OS 10.7.5 and ProPresenter function as expected.

    (Note: Use Disk Utility to create new partitions, make DMG files, and restore partitions or DMG files to another partition.)

    Was this useful? Answer 1

    3 of 3 people found this useful

  • No. The current non-retina iMac was released in mid 2014, so it will only run 10.9 (Mavericks) or 10.10 (Yosemite). 10.7.5 does not have the necessary drivers to support the newer hardware. The retina iMac was released in late 2014 and will only run 10.10 Yosemite.

    According to the Renewed Vision support form, Yosemite is fully supported by Pro Presenter 5,

    Was this useful? Answer 2

    1 of 1 people found this useful

Related Questions